Subject: Re: Problems with Cygwin Inetd.exe
From: Bob Heckel <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Mon, 12 Mar 2001 10:02:32 -0800 (PST)

I think I have the answer to Will's question regarding
inetd's inability to start as a Service.

Here was the similar message that I was receiving:
  "Could not start the CYGWIN inetd service on Local
  Computer.  Error 1053: The service did not respond to the
  start or control request in a timely fashion." ...

Here's what I found to be the solution:
  Make sure /usr/sbin (i.e. c:\cygwin\usr\sbin) is on
  Administrator's path.

The inetd documentation in
/usr/doc/Cygwin/inetutils-1.3.2.README is excellent but I'm
not sure it is clear enough about the path requirements.

Corinna, would it be worth changing line 112 to something
like this?:

  - The Win32 Administrator's environment variable PATH 
    must contain the path to the directory which contains 
    the cygwin1.dll as well as the inetd.exe executable 
    (inetd.exe is usually installed to c:\cygwin\usr\sbin).

Please correct me if I've misunderstood anything; please
disregard if this issue has already been resolved.

Bob Heckel
[email-masked]

On 2000-07-27 16:40:28, William R. Kassebaum wrote:
> 
> ...snip...
> 
> I then installed the inetd.exe as a service from
> a cygwin bash prompt:
> $ /usr/sbin/inetd.exe --install-as-service
> 
> and then started it manually:
> $ net start inetd
> 
> It immediately produces an application error dialog:
> " The application failed to initialize properly 
> (0xc0000022).  Click OK to terminate "
> 
> The event viewer says:
> "The CYGWIN inetd service failed to start due to the
> following error:
> The service did not respond to the start of control 
> request in a timely fashion."
> 
> ...snip...

_______________________________________________________
Send a cool gift with your E-Card
http://www.bluemountain.com/giftcenter/

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple